# Uses of Interface
javax.xml.catalog.Catalog

Packages that use Catalog
Package
Description
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.

- ## Uses of Catalog in javax.xml.catalog

  Methods in javax.xml.catalog that return Catalog
  Modifier and Type
  Method
  Description
  `static Catalog`
  CatalogManager.`catalog(CatalogFeatures features, URI... uris)`
  Creates a `Catalog` object using the specified feature settings and uri(s) to one or more catalog files.
  Methods in javax.xml.catalog that return types with arguments of type Catalog
  Modifier and Type
  Method
  Description
  `Stream<Catalog>`
  Catalog.`catalogs()`
  Returns a sequential Stream of alternative Catalogs specified using the `nextCatalog` entries in the current catalog, and as the input of catalog files excluding the current catalog (that is, the first in the input list) when the Catalog object is created by the `CatalogManager`.
  Methods in javax.xml.catalog with parameters of type Catalog
  Modifier and Type
  Method
  Description
  `static CatalogResolver`
  CatalogManager.`catalogResolver(Catalog catalog)`
  Creates an instance of a `CatalogResolver` using the specified catalog.
  `static CatalogResolver`
  CatalogManager.`catalogResolver(Catalog catalog, CatalogResolver.NotFoundAction action)`
  Creates a `CatalogResolver` that resolves external references with the given `catalog` and `action` type that determines the behavior when unable to resolve a reference.